Subject: Re: [PATCH -V3 1/4] mm/cma: Move dma contiguous changes into a seperate config

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Tue, 02 Jul 2013 21:03:57 +0530

Marek Szyprowski <[email-masked]> writes:

> Hello,
>
> On 7/2/2013 7:45 AM, Aneesh Kumar K.V wrote:
>> From: "Aneesh Kumar K.V" <[email-masked]>
>>
>> We want to use CMA for allocating hash page table and real mode area for
>> PPC64. Hence move DMA contiguous related changes into a seperate config
>> so that ppc64 can enable CMA without requiring DMA contiguous.
>>
>> Acked-by: Michal Nazarewicz <[email-masked]>
>> Acked-by: Paul Mackerras <[email-masked]>
>> Signed-off-by: Aneesh Kumar K.V <[email-masked]>
>
> OK. It looks that there is not that much that can be easily shared between
> dma-mapping cma provider and ppc/kvm cma allocator. I would prefer to merge
> patch 1/4 to my dma-mapping tree, because I plan some significant changes in
> cma code, see: 
> http://thread.gmane.org/gmane.linux.drivers.devicetree/40013/
> I think it is better to keep those changes together.
>
> For now I've merged your patch with removed defconfig updates. AFAIK such
> changes require separate handling to avoid pointless merge conflicts.

How do we get the defconfig changes done ?

> I've
> also prepared a topic branch for-v3.12-cma-dma, available at
> git://git.linaro.org/people/mszyprowski/linux-dma-mapping, which You can 
> merge
> together with your changes to ppc kernel trees.
>

Thanks. Will update accordingly as other patches get picked into
respective trees

-aneesh